OpenQuiz Wiki
APIPackages

Get full package

Get a package with all versions and entities. Author only.

GET
/pkgs/{pkgId}/{versionId}/full

Get a package with all versions and entities. Author only.

Authorization<token>

In: header

Path Parameters

pkgId*string
versionId*string

Response Body

application/json

curl -X GET "https://example.com/pkgs/string/string/full"
{  "card": null,  "categories": [    {      "category": {        "color": "string",        "createdAt": "2019-08-24T14:15:22Z",        "emoji": "string",        "i18n": null,        "id": "string",        "name": null      },      "categoryId": "string",      "packageId": "string",      "percentage": null    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "deletedAt": null,  "description": null,  "difficulty": null,  "explicit": true,  "i18n": null,  "id": "string",  "image": null,  "meta": {    "duration": null,    "fingerprint": null,    "packageId": "string",    "size": null,    "starts": 0,    "updatedAt": "2019-08-24T14:15:22Z"  },  "moderation": null,  "name": "string",  "rating": 0,  "settings": null,  "type": null,  "updatedAt": "2019-08-24T14:15:22Z",  "user": {    "about": null,    "anonymous": true,    "banExpiresAt": null,    "banReason": null,    "banned": true,    "createdAt": "2019-08-24T14:15:22Z",    "email": "string",    "emailVerified": true,    "id": "string",    "image": null,    "realname": null,    "reputation": 0,    "role": "string",    "tier": "basic",    "updatedAt": "2019-08-24T14:15:22Z",    "username": "string",    "verified": true  },  "userId": "string",  "verified": true,  "versions": [    {      "changes": null,      "createdAt": "2019-08-24T14:15:22Z",      "deletedAt": null,      "id": "string",      "packageId": "string",      "published": true,      "questions": [        {          "id": "string",          "position": 0,          "price": 0,          "source": null,          "themeId": "string",          "type": "AUCTION",          "versionId": "string"        }      ],      "rounds": [        {          "id": "string",          "name": "string",          "position": 0,          "type": "BASIC",          "versionId": "string"        }      ],      "steps": [        {          "duration": 0,          "id": "string",          "payload": {            "media": null,            "backgroundMedia": null,            "text": null,            "caption": null,            "variants": [              "string"            ]          },          "position": 0,          "questionId": "string",          "type": "ANSWER",          "versionId": "string"        }      ],      "themes": [        {          "description": null,          "id": "string",          "name": "string",          "position": 0,          "roundId": "string",          "versionId": "string"        }      ],      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}